# Horizon Chase 2 1.6.9
# BID: E13F632FC2A66EEB

unsafeCheck: true

ALL_FPS:
  # r.VSync
  -
    type: write
    address: [MAIN, 0x8349850, 0]
    value_type: int32
    value: [0, 0]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x8B36A30, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x8B11598, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 1)", "TruncDec(FRAMETIME_TARGET, 1)"]
  -
    type: block
    what: timing
